    Return the model expression for a data set.

get_model(id=None)
id - int or str, optional

This returns the model expression for a data set, including any instrument response (e.g. PSF or ARF and RMF) whether created automatically or explicitly, with `set_full_model` .

Return the model fitted to the default data set:

>>> mdl = get_model() >>> len(mdl.pars) 5

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set containing the source expression. If not given then the default identifier is used, as returned by

`get_default_id` .

The return value from this function is:

This can contain multiple model components and any instrument response. Changing attributes of this model changes the model used by the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023